org.modeshape.connector.git

## Class GitRoot

- java.lang.Object
- - org.modeshape.connector.git.GitFunction
  - - org.modeshape.connector.git.GitRoot

-     public class GitRoot
      extends GitFunction

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ID`
    `protected static String` | `NAME`

    - ### Fields inherited from class org.modeshape.connector.git.GitFunction

      `connector, DEFAULT_PAGE_SIZE, DELIMITER, name, pageSize, REMOTE_BRANCH_PREFIX, REVERSE_REF_COMPARATOR, TAG_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitRoot(GitConnector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `execute(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, CallSpecification spec, DocumentWriter writer, Values values)`

    - ### Methods inherited from class org.modeshape.connector.git.GitFunction

      `addBranchesAsChildren, addCommitsAsChildren, addCommitsAsPageOfChildren, addTagsAsChildren, authorName, branchRefForName, branchRefForName, commiterName, getName, isPaged, isQueryable, resolveBranchOrTagOrCommitId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

    - #### NAME

          protected static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GitRoot

          public GitRoot(GitConnector connector)

  - ### Method Detail

    - #### execute

          public Document execute(org.eclipse.jgit.lib.Repository repository,
                         org.eclipse.jgit.api.Git git,
                         CallSpecification spec,
                         DocumentWriter writer,
                         Values values)

      Specified by:
        `execute` in class `GitFunction`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.